<?php
namespace ShopList\Config;
use RS\Orm\Type;

/**
* Класс конфигурации модуля
*/
class File extends \RS\Orm\ConfigObject
{
    /**
    * Метод инициализации свойств ORM объекта
    * 
    * @return void
    */
    function _init()
    {
        //Дополняем свойства, определенные у родительского класса
        parent::_init()->append(array(
            //У модуля будет один параметр для настройки
            'pageSize' => new Type\Integer(array(
                'description' => t('Количество отображаемых магазинов на одной странице')
            )),
        ));
    }
    
    /**
    * Возвращает значения свойств по-умолчанию
    * 
    * @return array
    */
    public static function getDefaultValues()
    {
        return array(
            'name' => t('Список сети магазинов'),
            'description' => t('Добавление, изменение магазинов в системе'),
            'version' => '1.0.0.0',
            'author' => 'ReadyScript lab.',
            'pageSize' => 10
        );
    }
}