<?php
namespace ShopList\Controller\Front;

/**
* Фронт контроллер, выводит список магазинов сети постранично.
*/
class Shops extends \RS\Controller\Front
{
    private
        $pageSize = 20; //Количество элементов на странице
    
    function actionIndex()
    {
        $page = $this->url->get('p', TYPE_INTEGER, 1); //Получаем параметр из $_GET, значение по-умолчанию = 1
        
        $api = new \ShopList\Model\Api(); //Создаем экземпляр API
        $paginator = new \RS\Helper\Paginator($page, $api->getListCount(), $this->pageSize); //создаем объект пагинатора
        $shops = $api->getList($page, $this->pageSize); //получаем список ORM-объектов магазинов сети
        
        //Передаем переменные в шаблон
        $this->view->assign(array(
            'paginator' => $paginator,
            'shops' => $shops
        ));
        
        //Возвращаем результат в виде объекта \RS\Controller\Result\Standart
        return $this->result->setTemplate('shops.tpl');
    }
}
?>