<?php
namespace ShopList\Model\CsvSchema;
use \RS\Csv\Preset;

/**
* Схема экспорта/импорта в CSV
*/
class ShopItem extends \RS\Csv\AbstractSchema
{
    function __construct()
    {
        //Опишем пресеты используемые в формировании CSV
        //Каждый пресет привносит в CSV файл какой-то набор колонок.
        parent::__construct(
            //Добавит колонки, соответствующие полям ORM объекта ShopItem
            new Preset\Base(array(
                'ormObject' => new \ShopList\Model\Orm\ShopItem(),
                'excludeFields' => array(
                    'id', 'site_id', 'image'  //Исключить из CSV следующие поля
                ),
                'multisite' => true,  //Учитывать, что контент разный на разных сайтах
                'searchFields' => array('city', 'address') //Уникальный идентификатор для магазина, если данные по этим полям
                                                           //уже будут присутствовать в базе, то запись будет просто обновлена, а не добавлена.
            )),
            array(
                //Добавит колонку Фото, связанную с полем image
                new Preset\SinglePhoto(array(
                    'linkPresetId' => 0, //номер пресета PresetBase, 0 - т.к. он первый по списку.
                    'linkForeignField' => 'image', //Поле, у пресета PresetBase, с которым будет работать текущий пресет
                    'title' => 'Фото' //Название колонки при импорте/экспорте
                )),
            )
        );
    }
}