<?php
namespace ShopList\Model\Orm;
use \RS\Orm\Type;

/**
* Класс ORM-объектов "магазин". 
* Наследуется от объекта \RS\Orm\OrmObject, у которого объявлено свойство id
*/
class ShopItem extends \RS\Orm\OrmObject
{
    protected static
        $table = 'shoplist'; //Имя таблицы в БД
        
    /**
    * Инициализирует свойства ORM объекта
    * @return void
    */
    function _init()
    {
        parent::_init()->append(array(
            'site_id' => new Type\CurrentSite(), //Создаем поле, которое будет содержать id текущего сайта
            'city' => new Type\String(array(
                'maxLength' => '100',
                'description' => 'Город',
            )),
            'address' => new Type\String(array(
                'description' => 'Адрес'
            )),
            'phones' => new Type\String(array(
                'maxLength' => '100',
                'description' => 'Телефоны'
            )),
            'worktime' => new Type\String(array(
                'maxLength' => '80',
                'description' => 'Время работы'
            )),
            'description' => new Type\Richtext(array( //Будет отображаться визуальный HTML редактор
                'description' => 'Описание'
            )),            
            'image' => new Type\Image(array( //Будет отображаться форма загрузки файла
                'max_file_size' => 10000000, //Максимальный размер - 10 Мб
                'allow_file_types' => array('image/pjpeg', 'image/jpeg', 'image/png', 'image/gif'), //Допустимы форматы jpg, png, gif
                'description' => 'Фото',
            ))
        ));
    }
}
?>
